Page MenuHomePhabricator

Invalid argument for SpecialMobileHistory::shouldUseSpecialHistory
Closed, ResolvedPublic

Description

fatal error: Argument 1 passed to SpecialMobileHistory::shouldUseSpecialHistory() must be an instance of Title, null given
in /srv/mediawiki/php-1.28.0-wmf.14/extensions/MobileFrontend/includes/specials/SpecialMobileHistory.php on line 107

https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/blob/wmf/1.28.0-wmf.14/includes/specials/SpecialMobileHistory.php#L91

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2016, 7:29 PM

@Dereckson: Can you give a stack trace or a case, how I can reproduce this locally? :)

Florian claimed this task.Aug 13 2016, 7:42 PM
Florian triaged this task as High priority.

Change 304628 had a related patch set uploaded (by Florianschmidtwelzow):
Don't pass null as 1st parameter to SpecialMobileHistory::shouldUseSpecialHistory()

https://gerrit.wikimedia.org/r/304628

Change 304628 merged by jenkins-bot:
Don't pass null as 1st parameter to SpecialMobileHistory::shouldUseSpecialHistory()

https://gerrit.wikimedia.org/r/304628

Jdlrobson closed this task as Resolved.Aug 15 2016, 4:58 PM
Jdlrobson added a subscriber: Jdlrobson.

Thanks for the speedy response guys!

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM